Subject: bug#5616: 23.1.92; `delete-frame' deletes the last frame when emacsclient runs

From: Chong Yidong <[email-masked]>
Date: Sun, 21 Feb 2010 16:34:12 -0500

"Drew Adams" <[email-masked]> writes:

> I wonder if `delete-frame' really should act differently in this way for
> emacsclient. What's the rationale for this? Was this exceptional behavior an
> explicit design decision or just a side effect of some implementation changes
> for emacsclient?

The normal reason for refusing to delete the last visible frame is that
doing so orphans the Emacs process; this is moot in daemon mode.

> Until now (Emacs 23), `(delete-frame FRAME)' has always raised an
> error if there is only one visible frame. This means that some
> existing code will expect this behavior, and it will now be broken.

This sounds far-fetched.  Unless you can point to a real-life
misbehavior, let's not worry about this.